# IExAnimationEditMode Struct Reference
[Shell Interfaces]

Inheritance diagram for IExAnimationEditMode:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Begin ()=0
virtual void MCCOMAPI | End ()=0
virtual int32 MCCOMAPI | GetActiveTimeLine (I3DShParamInfo *paramInfo)=0
virtual boolean MCCOMAPI | CanBeSaved () const =0
virtual MCCOMErr MCCOMAPI | CreateLeaveAnimationEditModeAction (IShAction **action, int32 &actionNumber)=0

## Detailed Description

Interface used for the animation edition mode. This can be used for non-linear clip edition, layer edition...

## Member Function Documentation

virtual void MCCOMAPI IExAnimationEditMode::Begin | ( |  | ) | `[pure virtual]`

Called when enterig edition mode

virtual boolean MCCOMAPI IExAnimationEditMode::CanBeSaved | ( |  | ) | const`[pure virtual]`

Returns true if a scene edited in this animation mode can be saved or false if not. This that last case, the function CreateLeaveAnimationEditModeAction() will be called.

See also:
  IExAnimationEditMode::CreateLeaveAnimationEditModeAction

virtual MCCOMErr MCCOMAPI IExAnimationEditMode::CreateLeaveAnimationEditModeAction | ( | IShAction ** | action,
|  | int32 & | actionNumber |
| ) |  |  | `[pure virtual]`

This function creates an action that will make the scene leave this animation edit mode. If the return value is not MC_S_OK, it means that the mode could not be created.

Parameters:

  | action | The action that need to be posted.
  | actionNumber | The action number of the action to be posted.

See also:
  IExAnimationEditMode::CanBeSaved

virtual void MCCOMAPI IExAnimationEditMode::End | ( |  | ) | `[pure virtual]`

Called when leaving edition mode

virtual int32 MCCOMAPI IExAnimationEditMode::GetActiveTimeLine | ( | I3DShParamInfo * | paramInfo | ) | `[pure virtual]`

Returns the index of the active timeline for the given parameter.

Parameters:

  | paramInfo | The parameter.

The documentation for this struct was generated from the following file:

- ISceneDocument.h